Subject: Re: [PATCH] pack-objects: turn off bitmaps when skipping objects

From: Siddharth Agarwal <[email-masked]>
Date: Thu, 23 Jan 2014 18:44:43 -0800

On 01/23/2014 06:28 PM, Jeff King wrote:
> I think your understanding is accurate here. So we want repack to
> respect keep files for deletion, but we _not_ necessarily want
> pack-objects to avoid packing an object just because it's in a pack
> marked by .keep (see my other email).

Yes, that makes sense and sounds pretty safe.

So the right solution for us probably is to apply the patch Vicent 
posted, set repack.honorpackkeep to false, and also have a cron job that 
cleans up stale .keep files so that subsequent repacks clean it up.